<?php

/**
 * Payment Modul fur girosolution.de.
 *
 * @version   4.0.0
 * @author    OCS
 * @copyright 2011-2015 GiroSolution AG
 * @link      http://www.girosolution.de
 * @link      http://www.gambio.de
 * @license   http://opensource.org/licenses/gpl-2.0.php GNU Public License
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

// Name des Payment Moduls
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_TEXT_TITLE', 'direct debit' );
// Einleitungstext in der Administration
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_TEXT_DESCRIPTION', 'Hereby you authorize us to charge your current account with the invoiced amount by direct debit.' );
// Texte für Administration
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_STATUS_TITLE', 'direct debit:' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_STATUS_DESC', 'Accept payment by direct debit?' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_MERCHANTID_TITLE', 'Merchant ID:' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_MERCHANTID_DESC', 'Enter merchant ID  from girosolution.de' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_PROJECTID_TITLE', 'Project ID:' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_PROJECTID_DESC', 'Enter project ID from girosolution.de' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_PASSWORD_TITLE', 'Project Password:' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_PASSWORD_DESC', 'Project password for the security of the communication' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_DELETE_ORDER_TITLE', 'Delete order:' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_DELETE_ORDER_DESC', 'Delete order if payment was not successful?' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_SORT_ORDER_TITLE', 'Sort order:' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_SORT_ORDER_DESC', 'Payment method sort order for the payment selection page.' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_ZONE_TITLE', 'Payment zone:' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_ZONE_DESC', 'When a zone is selected, this payment method will be enabled for that zone only.' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_ALLOWED_TITLE', 'Allowed zones:' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_ALLOWED_DESC', 'Please enter the zones individually that should be allowed to use this module (e.g. US, UK (leave blank to allow all zones))' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_ORDER_STATUS_ID_ERROR_TITLE', 'Unsuccessful order status:' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_ORDER_STATUS_ID_ERROR_DESC', 'Status after unsuccessful payment.' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_ORDER_STATUS_ID_OK_TITLE', 'Successful order status:' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_ORDER_STATUS_ID_OK_DESC', 'Status after successful payment.' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_ORDER_STATUS_ID_TEMP_TITLE', 'Temporary order status:' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_ORDER_STATUS_ID_TEMP_DESC', 'Temporary order status.' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_BANKACCOUNT_DESC', 'Account number: ' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_BANKCODE_DESC', 'Bank code: ' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_BANKACCOUNTBANKCODE_DESC', 'Use bank account/bank code.' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_ACCOUNTHOLDER_DESC', 'Account holder: ' );

define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_BANKACCOUNTBANKCODE_MISSING', 'bank account and banc code are mandatory.' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_ACCOUNTHOLDER_MISSING', 'account holder is mandatory.' );
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_IBAN_MISSING', 'IBAN is mandatory.' );

define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_PURPOSE_TITLE', 'Purpose');
define( 'MODULE_PAYMENT_GC_DIRECTDEBIT_PURPOSE_DESC', 'You can define your own purpose using this placeholders:<br><br>
  {ORDERID}: Bestellnummer<br>
  {CUSTOMERID}: Kundennummer<br>
  {SHOPNAME}: Shop Name<br> 
  {CUSTOMERNAME}: Kundenname<br>
  {CUSTOMERFIRSTNAME}: Kunde Vorname<br> 
  {CUSTOMERLASTNAME}: Kunde Nachname<br><br>
For example: If your purpose is "Best. {ORDERID}, {SHOPNAME}" then the submitted purpose must be "Best. 55342, TestShop"
The maximum length of the purpose is 27 characters.');


?>